Subject: Re: bug#38260: 26.3.50; zip archive mode adds new entry instead of updating file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Nov 2019 17:52:02 +0200

> From: Mark Jeffcoat <[email-masked]>
> Date: Mon, 18 Nov 2019 12:36:20 -0600
> 
>    https://aeronav.faa.gov/Upload_313-d/cifp/CIFP_191205.zip
> 
> Open with
>     emacs -Q CIFP_191205.zip
> 
> The fifth file entry is
>     'cifp_201913/faacifp18'
> 
> (I don't know why it's the only entry not capitalized; that
> doesn't match what I see with 'unzip -t'.)

Because it's the only file whose name is all-caps.

> <RET> on faacifp18 to open it, <RET> again to add a blank
> line at the top, C-x C-s to save. Go back to the original
> Zip-Archive buffer.
> 
> The original 'cifp_201913/faacifp18' is unchanged, my
> edit was not saved.
> 
> Instead, a new entry 'cifp_201/faacifp1' has been added
> to the end of the zip archive. This is not what I wanted
> to happen, and doesn't match what happens on other zip
> archives.

Turns out we were updating the zip archives in a mode that only makes
sense on MS-DOS, or for zip files that came from MS-DOS.  I changed
the default value of archive-zip-case-fiddle to be more in line with
the current practices, and that fixed the problem.

Thanks.